goog.provide('Blockly.Blocks.nplus');
goog.require('Blockly.Blocks');

var NPLUS_COLOR = '#696969';
//颜色传感器值
Blockly.Blocks['mpython_lark_get_all_color'] = {
    init: function () {
        this.jsonInit({
            "inputsInline": true,
            // "nextStatement": null,
            // "previousStatement": null,
            "output": 'Array',
            "colour":NPLUS_COLOR,
            //"helpUrl": Blockly.Msg.MPYTHON_LARK_GET_ALL_COLOR_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK_GET_ALL_COLOR_TOOLTIP,
            "message0": Blockly.Msg.MPYTHON_LARK_GET_ALL_COLOR_MESSAGE0,
            // "args0": [{
            // "check": "Number",
            // "type": "input_value",
            // "name": "seg_num"
            // }
            // ]
        });
    }
};

// 颜色传感器值选择
Blockly.Blocks['mpython_lark_get_color'] = {
    init: function () {
        this.jsonInit({
            "inputsInline": true,
            // "nextStatement": null,
            // "previousStatement": null,
            "output": 'Number',
            "colour":NPLUS_COLOR,
           // "helpUrl": Blockly.Msg.MPYTHON_LARK_GET_COLOR_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK_GET_COLOR_TOOLTIP,
            "message0": Blockly.Msg.MPYTHON_LARK_GET_COLOR_MESSAGE0,
            "args0": [{
                "name": "lark_r_g_b",
                "type": "field_dropdown",
                "options": [
                    [Blockly.Msg.MPYTHON_lARK_RED, '0'],
                    [Blockly.Msg.MPYTHON__LARK_GREEN, '1'],
                    [Blockly.Msg.MPYTHON__LARK_BLUE, '2']
                ]
            }
            ]
        });
    }
};

// 颜色传感器值 _hsv
Blockly.Blocks['mpython_lark_get_all_color_hsv'] = {
    init: function () {
        this.jsonInit({
            "inputsInline": true,
            "output": 'Array',
            "colour":NPLUS_COLOR,
            //"helpUrl": Blockly.Msg.MPYTHON_LARK_GET_ALL_COLOR_HSV_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK_GET_ALL_COLOR_HSV_TOOLTIP,
            "message0": Blockly.Msg.MPYTHON_LARKT_GET_ALL_COLOR_HSV_MESSAGE0
        });
    }
};

// 颜色传感器值 _hsv_单值
Blockly.Blocks['mpython_lark_get_color_hsv'] = {
    init: function () {
        this.jsonInit({
            "inputsInline": true,
            "output": 'Number',
            "colour":NPLUS_COLOR,
            //"helpUrl": Blockly.Msg.MPYTHON_LARK_GET_COLOR_HSV_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK_GET_COLOR_HSV_TOOLTIP,
            "message0": Blockly.Msg.MPYTHON_LARK_GET_COLOR_HSV_MESSAGE0,
            "args0": [{
                "name": "lark_hsv",
                "type": "field_dropdown",
                "options": [
                    ['H', '0'],
                    ['S', '1'],
                    ['V', '2']
                ]
            }
            ]
        });
    }
};

// 颜色传感器值
Blockly.Blocks['mpython_lark_discern_color'] = {
    init: function () {
        this.jsonInit({
            "inputsInline": true,
            // "nextStatement": null,
            // "previousStatement": null,
            "output": 'Boolean',
            "colour":NPLUS_COLOR,
            //"helpUrl": Blockly.Msg.MPYTHON_LARK_DISCERN_COLOR_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK_DISCERN_COLOR_TOOLTIP,
            "message0": Blockly.Msg.MPYTHON_LARK_DISCERN_COLOR_MESSAGE0,
            "args0": [{
                "name": "rainbow",
                "type": "field_dropdown",
                "options": [
                    [Blockly.Msg.MPYTHON_LARK_RED, 'red'],
                    [Blockly.Msg.MPYTHON_LARK_GREEN, 'green'],
                    [Blockly.Msg.MPYTHON_LARK_BLUE, 'blue'],
                    [Blockly.Msg.MPYTHON_LARK_ORANGE, 'orange'],
                    [Blockly.Msg.MPYTHON_LARK_YELLOW, 'yellow'],
                    [Blockly.Msg.MPYTHON_LARK_PURPLE, 'purple'],
                    [Blockly.Msg.MPYTHON_LARK_CYAN, 'cyan']
                    //[Blockly.Msg.MPYTHON_LARK_NONE, 'none'],
                    //[Blockly.Msg.MPYTHON_LARK_NULL, 'null']
                ]
            }
            ]
        });
    }
};

//超声波，freq=100000
Blockly.Blocks['mpython_lark_ultrasonic'] = {
    init: function () {
        this.jsonInit({
            "colour":NPLUS_COLOR,
            "output": "Number",
            //"helpUrl": Blockly.Msg.MPYTHON_LARK_ULTRASONIC_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK_ULTRASONIC_TOOLTIP,
            "message0": Blockly.Msg.MPYTHON_LARK_ULTRASONIC_MESSAGE0
        });
    }
};


// 百灵鸽设置直流电机转向及速度
Blockly.Blocks['mpython_lark_motor_set_i2c'] = {
    init: function () {
        this.jsonInit({
            "colour":NPLUS_COLOR,
            "args0": [
                {
                    "name": "lark_left_right_interface",
                    "options": [
                        ['M1', 'motor1'],
                        ['M2', 'motor2']
                    ],
                    "type": "field_dropdown"
                },
               /* {
                    "name": "status",
                    "type": "field_dropdown",
                    "options": [
                        [Blockly.Msg.MPYTHON_BLUEBIT_MOTOR_ON_CLOCKWISE, 'CLOCKWISE'],
                        [Blockly.Msg.MPYTHON_BLUEBIT_MOTOR_ON_ANTICLOCKWISE, 'ANTICLOCKWISE']
                    ]
                },*/
                {
                    "name": "speed",
                    "check": "Number",
                    "type": "input_value"                   
                }
            ],
            "inputsInline": true,
            "nextStatement": null,
            "previousStatement": null,
            //"helpUrl": Blockly.Msg.MPYTHON_LARK_MOTOR_SET_I2C_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK_MOTOR_SET_I2C_TOOLTIP,
            "message0": Blockly.Msg.MPYTHON_LARK_MOTOR_SET_I2C_MESSAGE0
        });
    }
};


//循迹传感器 返回线数值
Blockly.Blocks['mpython_lark_line_number_on_i2c'] = {
    init: function(){
        this.jsonInit({
            "colour":NPLUS_COLOR,
            "output": "Number",
            "inputsInline": true,
            //"helpUrl": Blockly.Msg.MPYTHON_LARK_GET_LINE_ON_I2C_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK_GET_LINE_ON_I2C_TOOLTIP,
            "message0": Blockly.Msg.mpython_LARK_GET_LINE_ON_I2C_MESSAGE0,
            "args0":[
                {
                    "name":"left_right_interface",
                    "options":[
                        [Blockly.Msg.mpython_LARK_GET_LINE_RIGHT_ON_I2C,'read_r'],
                        [Blockly.Msg.mpython_LARK_GET_LINE_LEFT_ON_I2C,'read_l']
                    ],
                    "type": "field_dropdown"
                }
            ],
        });
    }
};


//循迹传感器 探测线
Blockly.Blocks['mpython_lark_line_search'] = {
    init: function(){
        this.jsonInit({
            "colour":NPLUS_COLOR,
            "output": "Boolean",
            "inputsInline": true,
            //"helpUrl": Blockly.Msg.MPYTHON_LARK_GET_LINE_ON_I2C_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK_SEARCH_LINE_ON_I2C_TOOLTIP,
            "message0": Blockly.Msg.mpython_LARK_SEARCH_LINE_ON_I2C_MESSAGE0,
            "args0":[
                {
                    "name":"lark_search_line",
                    "options":[
                        [Blockly.Msg.MPYTHON_LARK_SEARCH_LEFT,'l_touchline'],
                        [Blockly.Msg.MPYTHON_LARK_SEARCH_RIGHT,'r_touchline'],
                        [Blockly.Msg.MPYTHON_LARK_SEARCH_LEFT2,'all_touchline'],
                        [Blockly.Msg.MPYTHON_LARK_SEARCH_RIGHT2,'not_touchline']
                    ],
                    "type": "field_dropdown"
                }
            ],
        });
    }
};



//---------------------------千里马-----------------------------//
//----------------------------------------------------------------//
///----------------------------------------------------------------//
////----------------------------------------------------------------//
///----------------------------------------------------------------//
///----------------------------------------------------------------//
///----------------------------------------------------------------//
///----------------------------------------------------------------//
///----------------------------------------------------------------//
///----------------------------------------------------------------//
///----------------------------------------------------------------//
///----------------------------------------------------------------//
///----------------------------------------------------------------//
//----------------------------------------------------------------//
//----------------------------------------------------------------///
//----------------------------------------------------------------///
//----------------------------------------------------------------////
//----------------------------------------------------------------///
//----------------------------------------------------------------//
//----------------------------------------------------------------//
//----------------------------------------------------------------//

//颜色传感器值
Blockly.Blocks['mpython_lark_car_get_all_color'] = {
    init: function () {
        this.jsonInit({
            "inputsInline": true,
            // "nextStatement": null,
            // "previousStatement": null,
            "output": 'Array',
            "colour":NPLUS_COLOR,
           // "helpUrl": Blockly.Msg.MPYTHON_LARK_CAR_GET_ALL_COLOR_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK__CAR_GET_ALL_COLOR_TOOLTIP,
            "message0": Blockly.Msg.MPYTHON_LARK__CAR_GET_ALL_COLOR_MESSAGE0,
        });
    }
};

// 颜色传感器值选择
Blockly.Blocks['mpython_lark_car_get_color'] = {
    init: function () {
        this.jsonInit({
            "inputsInline": true,
            // "nextStatement": null,
            // "previousStatement": null,
            "output": 'Number',
            "colour":NPLUS_COLOR,
           // "helpUrl": Blockly.Msg.MPYTHON_LARK_CAR_GET_COLOR_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK_CAR_GET_COLOR_TOOLTIP,
            "message0": Blockly.Msg.MPYTHON_LARK_CAR_GET_COLOR_MESSAGE0,
            "args0": [{
                "name": "car_r_g_b",
                "type": "field_dropdown",
                "options": [
                    [Blockly.Msg.MPYTHON_lARK_CAR_RED, '0'],
                    [Blockly.Msg.MPYTHON__LARK_CAR_GREEN, '1'],
                    [Blockly.Msg.MPYTHON__LARK_CAR_BLUE, '2']
                ]
            }
            ]
        });
    }
};

// 颜色传感器值 _hsv
Blockly.Blocks['mpython_lark_car_get_all_color_hsv'] = {
    init: function () {
        this.jsonInit({
            "inputsInline": true,
            "output": 'Array',
            "colour":NPLUS_COLOR,
            //"helpUrl": Blockly.Msg.MPYTHON_LARK_CAR_GET_ALL_COLOR_HSV_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK_CAR_GET_ALL_COLOR_HSV_TOOLTIP,
            "message0": Blockly.Msg.MPYTHON_LARKT_CAR_GET_ALL_COLOR_HSV_MESSAGE0
        });
    }
};

// 颜色传感器值 _hsv_单值
Blockly.Blocks['mpython_lark_car_get_color_hsv'] = {
    init: function () {
        this.jsonInit({
            "inputsInline": true,
            "output": 'Number',
            "colour":NPLUS_COLOR,
            //"helpUrl": Blockly.Msg.MPYTHON_LARK_CAR_GET_COLOR_HSV_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK_CAR_GET_COLOR_HSV_TOOLTIP,
            "message0": Blockly.Msg.MPYTHON_LARK_CAR_GET_COLOR_HSV_MESSAGE0,
            "args0": [{
                "name": "car_hsv",
                "type": "field_dropdown",
                "options": [
                    ['H', '0'],
                    ['S', '1'],
                    ['V', '2']
                ]
            }
            ]
        });
    }
};

// 颜色传感器获取   获取string类型    删除
Blockly.Blocks['mpython_lark_car_get_color_string'] = {
    init: function () {
        this.jsonInit({
            "colour":NPLUS_COLOR,
            "output": "String",
            //"helpUrl": Blockly.Msg.MPYTHON_LARK_CAR_GET_COLOR_STRING_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK_CAR_GET_COLOR_STRING_TOOLTIP,
            "message0": Blockly.Msg.MPYTHON_LARK_CAR_GET_COLOR_STRING_MESSAGE0
        });
    }
};

// 颜色传感器值
Blockly.Blocks['mpython_lark_car_discern_color'] = {
    init: function () {
        this.jsonInit({
            "inputsInline": true,
            // "nextStatement": null,
            // "previousStatement": null,
            "output": 'Boolean',
            "colour":NPLUS_COLOR,
           // "helpUrl": Blockly.Msg.MPYTHON_LARK_CAR_DISCERN_COLOR_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK_CAR_DISCERN_COLOR_TOOLTIP,
            "message0": Blockly.Msg.MPYTHON_LARK_CAR_DISCERN_COLOR_MESSAGE0,
            "args0": [{
                "name": "car_rainbow",
                "type": "field_dropdown",
                "options": [
                    [Blockly.Msg.MPYTHON_LARK_CAR_RED, 'red'],
                    [Blockly.Msg.MPYTHON_LARK_CAR_GREEN, 'green'],
                    [Blockly.Msg.MPYTHON_LARK_CAR_BLUE, 'blue'],
                    [Blockly.Msg.MPYTHON_LARK_CAR_ORANGE, 'orange'],
                    [Blockly.Msg.MPYTHON_LARK_CAR_YELLOW, 'yellow'],
                    [Blockly.Msg.MPYTHON_LARK_CAR_PURPLE, 'purple'],
                    [Blockly.Msg.MPYTHON_LARK_CAR_CYAN, 'cyan']
                    //[Blockly.Msg.MPYTHON_LARK_CAR_NONE, 'none'],
                    //[Blockly.Msg.MPYTHON_LARK_CAR_NULL, 'null']
                ]
            }
            ]
        });
    }
};

//超声波，freq=100000
Blockly.Blocks['mpython_lark_car_ultrasonic'] = {
    init: function () {
        this.jsonInit({
            "colour":NPLUS_COLOR,
            "output": "Number",
            //"helpUrl": Blockly.Msg.MPYTHON_LARK_CAR_ULTRASONIC_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK_CAR_ULTRASONIC_TOOLTIP,
            "message0": Blockly.Msg.MPYTHON_LARK_CAR_ULTRASONIC_MESSAGE0
        });
    }
};

//循迹传感器 返回线数值
Blockly.Blocks['mpython_lark_car_line_number_on_i2c'] = {
    init: function(){
        this.jsonInit({
            "colour":NPLUS_COLOR,
            "output": "Number",
            "args0":[
                {
                    "name":"car_left_right_interface",
                    "options":[
                        [Blockly.Msg.mpython_LARK_CAR_GET_LINE_RIGHT_ON_I2C,'read_r'],
                        [Blockly.Msg.mpython_LARK_CAR_GET_LINE_LEFT_ON_I2C,'read_l']
                    ],  
                    "type": "field_dropdown"
                }
            ],
            "inputsInline": true,
            //"helpUrl": Blockly.Msg.MPYTHON_LARK_CAR_GET_LINE_ON_I2C_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK_CAR_GET_LINE_ON_I2C_TOOLTIP,
            "message0": Blockly.Msg.mpython_LARK_CAR_GET_LINE_ON_I2C_MESSAGE0
        });
    }
};

//循迹传感器 探测线
Blockly.Blocks['mpython_lark_car_line_search'] = {
    init: function(){
        this.jsonInit({
            "colour":NPLUS_COLOR,
            "output": "Boolean",
            "args0": [
                {
                    "name": "lark_car_search_line",
                    "options":[
                        [Blockly.Msg.MPYTHON_LARK_CAR_SEARCH_LEFT,'l_touchline'],
                        [Blockly.Msg.MPYTHON_LARK_CAR_SEARCH_RIGHT,'r_touchline'],
                        [Blockly.Msg.MPYTHON_LARK_CAR_SEARCH_LEFT2,'all_touchline'],
                        [Blockly.Msg.MPYTHON_LARK_CAR_SEARCH_NONE,'not_touchline']
                    ],
                    "type": "field_dropdown"
                }                
            ],
            "inputsInline": true,
            //"helpUrl": Blockly.Msg.MPYTHON_LARK_CAR_SEARCH_LINE_ON_I2C_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK_CAR_SEARCH_LINE_ON_I2C_TOOLTIP,
            "message0": Blockly.Msg.mpython_LARK_CAR_SEARCH_LINE_ON_I2C_MESSAGE0
        });
    }
};

// 设置千里马行走方向
Blockly.Blocks['mpython_lark_car_motor_set_i2c'] = {
    init: function () {
        this.jsonInit({
            "colour":NPLUS_COLOR,
            "args0": [
                {
                    "name": "lark_car_motion",
                    "options": [
                        [Blockly.Msg.MPYTHON_LARK_CAR_MOTION_LEFT, 'turn_l'],
                        [Blockly.Msg.MPYTHON_LARK_CAR_MOTION_RIGHT, 'turn_r'],
                        [Blockly.Msg.MPYTHON_LARK_CAR_MOTION_FORWARD, 'forward'],
                        [Blockly.Msg.MPYTHON_LARK_CAR_MOTION_BACKWARD, 'backward'],
                        [Blockly.Msg.MPYTHON_LARK_CAR_MOTION_STOP, 'stop']
                    ],
                    "type": "field_dropdown"
                },
                /*{
                    "name": "status",
                    "type": "field_dropdown",
                    "options": [
                        [Blockly.Msg.MPYTHON_BLUEBIT_MOTOR_ON_CLOCKWISE, 'CLOCKWISE'],
                        [Blockly.Msg.MPYTHON_BLUEBIT_MOTOR_ON_ANTICLOCKWISE, 'ANTICLOCKWISE']
                    ]
                },*/
                {
                    "check": "Number",
                    "type": "input_value",
                    "name": "speed"
                }
            ],
            "inputsInline": true,
            "nextStatement": null,
            "previousStatement": null,
            //"helpUrl": Blockly.Msg.MPYTHON_LARK_MOTOR_SET_I2C_HELPURL,
            "tooltip": Blockly.Msg.MPYTHON_LARK_MOTOR_SET_I2C_TOOLTIP,
            "message0": Blockly.Msg.MPYTHON_LARK_MOTOR_SET_I2C_MESSAGE0
        });
    }
};
